Name:           nucleo
Version:        0.6
Release:        1%{?dist}
Summary:        Nucleo

Group:          User Interface/Desktops
License:        LGPL
URL:            http://insitu.lri.fr/~roussel/projects/nucleo/
Source0:        http://insitu.lri.fr/metisse/download/0.4.0-rc4/nucleo-%{version}.tar.bz2
Source1:        http://kwizart.free.fr/fedora/SOURCES/tightvnc-1.3.8_unixsrc.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libtool

BuildRequires:  avahi-compat-libdns_sd-devel
BuildRequires:  ffmpeg-devel
BuildRequires:  freetype-devel
BuildRequires:  libexif-devel
BuildRequires:  libjpeg-devel
BuildRequires:  libpng-devel
BuildRequires:  mesa-libGL-devel
BuildRequires:  mesa-libGLU-devel
BuildRequires:  opencv-devel
#BuildRequires:  qt4-devel
# A moc file has changed to much - build error
Conflicts:      qt4-devel
#BuildRequires: vnc >= 4.1.2
Requires:       %{name}-libs = %{version}-%{release}

Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig


%description
Núcleo, a toolkit for exploring new uses of video and new
human-computer interaction techniques.


%package        devel
Summary:        Dynamic development library for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig

%description    devel
Dynamic development library for %{name}.

%package        libs
Summary:        Libraries for %{name}
Group:          System Environment/Libraries

%description    libs
Libraries for %{name}.


%prep
%setup -q
%setup -q -D -T -a 1
mv vnc_unixsrc/include/*.h nucleo/plugins/vnc

%build
%configure CC=c89 CFLAGS="$RPM_OPT_FLAGS" \
  --x-includes=%{_includedir} \
  --x-libraries=%{_libdir}
make %{?_smp_mflags}
#   --with-vnc=vnc_unixsrc/include \

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT

%post libs -p /sbin/ldconfig
%postun libs -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING.LESSER LICENSE NEWS README
%exclude %{_bindir}/nucleo-config
%{_bindir}/*
%{_datadir}/%{name}

%files devel
%defattr(-,root,root,-)
%{_bindir}/nucleo-config
%{_includedir}/%{name}
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/%{name}/*.so
%{_libdir}/*.so

%files libs
%defattr(-,root,root,-)
%exclude %{_libdir}/*.la
%exclude %{_libdir}/%{name}/*.la
%{_libdir}/%{name}/*.so.*
%{_libdir}/*.so.*



%changelog
* Thu Jan 25 2007 kwizart < kwizart at gmail.com > - 0.6-1
- Initial Release
